package p20_zbieranie_danych;

import java.util.Arrays;
import java.util.Scanner;

public class ZbieranieDanych1_Tablica {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        System.out.print("Podaj rozmiar tablicy: ");
        int size = scanner.nextInt();
        scanner.nextLine();
        String[] tablica = new String[size];

        for(int i = 0; i < tablica.length; i++) {
            System.out.print("Podaj wartość nr " + i + ": ");
            tablica[i] = scanner.nextLine();
        }
        System.out.println(Arrays.toString(tablica));

        // Tablice da się posortować
        Arrays.sort(tablica);
        System.out.println(Arrays.toString(tablica));
        System.out.println();

        System.out.println("Podawaj numery pozycji, aby je odczytać, a -1 aby zakończyć program.");
        while(true) {
            System.out.print("Podaj numer: ");
            int nr = scanner.nextInt();
            if(nr < 0) break;
            if(nr >= tablica.length) {
                System.out.println("Numer poza tablicą");
                continue;
            }
            System.out.println("Na pozycji nr " + nr + " jest " + tablica[nr]);
            // Najbardziej oczywistą operacją odczytu z tablicy, jest odczyt z określonej pozycji.
        }
    }
}
